/*
 *  Copyright 2012 by The Cogchar Project (www.cogchar.org).
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/*
 * HorizontalToolPanel.java
 *
 * Created on Jan 12, 2012, 6:15:07 PM
 */

package org.cogchar.render.gui.bony;

import org.cogchar.platform.trigger.DummyBox;
import org.cogchar.platform.trigger.DummyTrigger;
import org.cogchar.render.app.bony.VerbalController;

/**
 *
 * @author Stu B. <www.texpedient.com>
 */
public class HorizontalToolPanel extends javax.swing.JPanel implements VerbalController {
	private DummyTrigger myTalkTrigger;
	private DummyBox	 myTalkBox;
	
    /** Creates new form HorizontalToolPanel */
    public HorizontalToolPanel() {
        initComponents();
    }
	@Override public void setupTalkTrigger(DummyBox box, DummyTrigger trig) {
		myTalkBox = box;
		myTalkTrigger = trig;
	}	
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        txt_toSay = new javax.swing.JTextField();
        button_say = new javax.swing.JButton();

        setPreferredSize(new java.awt.Dimension(880, 60));

        txt_toSay.setText("not much");

        button_say.setText("say");
        button_say.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                button_sayActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(61, 61, 61)
                .addComponent(txt_toSay, javax.swing.GroupLayout.PREFERRED_SIZE, 585, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(39, 39, 39)
                .addComponent(button_say)
                .addContainerGap(146, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(19, 19, 19)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txt_toSay, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(button_say))
                .addContainerGap(18, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents


	private void button_sayActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_button_sayActionPerformed
		if (myTalkTrigger != null) {
			myTalkTrigger.fire(myTalkBox);
		}
	}//GEN-LAST:event_button_sayActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton button_say;
    private javax.swing.JTextField txt_toSay;
    // End of variables declaration//GEN-END:variables


}
